<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="
http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd">

	<!-- This bean sets up property replacement so that variables can be externalized to system properties -->
	<bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
		<property name="systemPropertiesModeName" value="SYSTEM_PROPERTIES_MODE_OVERRIDE"/>
		<property name="locations">
			<list>
				<value>
					classpath:gov/va/med/cds/ejb/config/properties/defaultWeblogic.properties
                </value>
			</list>
		</property>
	</bean>

	<import resource="classpath:gov/va/med/cds/ejb/config/envSpecificContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/templateHelperContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/exceptionHandlingConfigContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/hdr2PersistenceContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/hdr2PersistenceSessionFactoriesContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/vistaPersistenceContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/vistaPersistenceSessionFactoriesContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/transactionContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/filterContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/requestProcessorContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/appNamesContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/clinicalDataServiceSynchronousInternalContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/filterPatientResolverContext.xml"/>
	<import resource="classpath:${idm.context}"/> <!-- Can be one of idmWebserviceClientContext.xml or idmPersonIdentifierManagementStubContext.xml -->
	<import resource="classpath:gov/va/med/cds/config/cdsAuditClobStoreContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/logAndSwallowAspectContext.xml"/>
	<import resource="classpath:gov/va/med/cds/audit/persistence/jms/jmsAuditLogContext.xml"/>
	<import resource="classpath:gov/va/med/cds/audit/vhimRequestAuditLoggerContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/templateContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/filterContext.xml"/>
	<import resource="classpath:gov/va/med/cds/ejb/config/weblogicContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/performanceLogContext.xml"/>
	<import resource="classpath:gov/va/med/cds/config/queryCacheManagerContext.xml"/>
	<import resource="classpath:${template.context}"/> 	<!-- Can be one of wtfTemplateClientContext.xml or templateSimulatorServiceContext.xml -->
	<import resource="classpath:${filter.context}"/>   	<!-- Can be one of wtfFilterClientContext.xml or filterSimulatorServiceContext.xml -->
	<import resource="classpath:gov/va/med/cds/config/nestedElementsWrapperContext.xml"/>
	
</beans>
